/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/string.hpp>

#include <studio/module.hpp>

namespace studio {

void registerModule(const studio::Module*) noexcept;

struct StudioOptions {
	ox::String appName;
	ox::String projectDataDir;
};

int main(StudioOptions&&);

int main(
		ox::CRStringView appName,
		ox::CRStringView projectDataDir,
		int argc,
		const char **argv);

}
